<header title="{{firstname}} {{lastname}}"></header>

<ion-content #IonContent>
  <div class="rounded-lg border border-red-700 h-64 mt-3 px-2 py-3 overflow-y-scroll scroll">
    <ng-container *ngFor="let chat_history of chatHistory">
      <ng-container *ngIf="chat_history.direction == 'out'">
        <div class="flex justify-start sender">
          <div class="flex w-2/3 mt-2 inner">
            <div class="rounded-lg px-4 py-3 bg-gray">
              <div class="w-full">
                <div class="py-1">
                  <span class="text-gray-900">{{chat_history.messagebody}}</span>
                </div>
              </div>
              <span class="text-xs text-gray-700">{{chat_history.messagetime}}</span>
            </div>
            <div class="flex-grow"></div>
          </div>
        </div>
        <!-- <div class="flex justify-start sender">
          <div class="flex w-2/3 mt-2 inner">
            <div class="rounded-lg px-4 py-3 bg-gray">
              <div class="w-full">
                <div class="py-1">
                  <span class="text-gray-900">jhsfghsjgkhskfghskjfhgkjsdhfigusidfigusfigidfighsdigidfgfdhiughsidufhgiudhfiguhidfughisdhfuigsdf</span>
                </div>
              </div>
              <span class="text-xs text-gray-700">11:20</span>
            </div>
            <div class="flex-grow"></div>
          </div>
        </div>
        <div class="flex justify-start sender">
          <div class="flex w-2/3 mt-2 inner">
            <div class="rounded-lg px-4 py-3 bg-gray">
              <div class="w-full imgae_case">
                <div class="py-1">
                  <img src="assets/img/background.png">
                </div>
              </div>
              <span class="text-xs text-gray-700">11:20</span>
            </div>
            <div class="flex-grow"></div>
          </div>
        </div> -->
      </ng-container>

      <ng-container *ngIf="chat_history.direction == 'in'">
        <div class="flex justify-end me_">
          <div class="flex w-2/3 mt-2">
            <div class="flex-grow"></div>
            <div class="rounded-lg px-4 py-3 text-right bg-prim ">
              <div class="me">
                <div class="py-1">
                  <span class="text-gray-900">{{chat_history.messagebody}}</span>
                </div>
              </div>
            </div>
            <span class="text-xs ml-4 text-gray-700 ion-margin-start">{{chat_history.messagetime}}</span>
          </div>
        </div>
        <!-- <div class="flex justify-end me_">
          <div class="flex w-2/3 mt-2">
            <div class="flex-grow"></div>
            <div class="rounded-lg px-4 py-3 text-right bg-prim ">
              <div class="me imgae_case">
                <div class="py-1">
                  <img src="assets/img/background.png">
                </div>
              </div>
            </div>
            <span class="text-xs ml-4 text-gray-700 ion-margin-start">11:22</span>
          </div>
        </div>
        <div class="flex justify-end me_">
          <div class="flex w-2/3 mt-2">
            <div class="flex-grow"></div>
            <div class="rounded-lg px-4 py-3 text-right bg-prim ">
              <div class="me imgae_case">
                <div class="py-1">
                  <img src="assets/img/background.png">
                </div>
              </div>
            </div>
            <span class="text-xs ml-4 text-gray-700 ion-margin-start">11:22</span>
          </div>
        </div>
        <div class="flex justify-end me_">
          <div class="flex w-2/3 mt-2">
            <div class="flex-grow"></div>
            <div class="rounded-lg px-4 py-3 text-right bg-prim ">
              <div class="me imgae_case">
                <div class="py-1">
                  <img src="assets/img/background.png">
                </div>
              </div>
            </div>
            <span class="text-xs ml-4 text-gray-700 ion-margin-start">11:22</span>
          </div>
        </div>
        <div class="flex justify-end me_">
          <div class="flex w-2/3 mt-2">
            <div class="flex-grow"></div>
            <div class="rounded-lg px-4 py-3 text-right bg-prim ">
              <div class="me imgae_case">
                <div class="py-1">
                  <img src="assets/img/background.png">
                </div>
              </div>
            </div>
            <span class="text-xs ml-4 text-gray-700 ion-margin-start">11:22</span>
          </div>
        </div> -->

      </ng-container>
    </ng-container>
    <!--div class="p-4 text-bold" *ngIf="chat.length == 0">
          <p>No chat found!</p>
      </div-->
  </div>
    <!-- ​REFRESHER -->
    <ion-refresher *ngIf="isCheck == true" slot="fixed" (ionRefresh)="refreshDataList($event)">
      <ion-refresher-content></ion-refresher-content>
    </ion-refresher>
</ion-content>
<ion-footer class="fotter_bottom">
  <ion-item class="chat" lines="none">
    <ion-icon slot="end" name="attach" expand="icon-only" color="primary" (click)="uploadPhoto()" class="footerIcon"></ion-icon>
    <ion-icon slot="end" name="send" expand="icon-only" color="primary" (click)="sendMsg()" class="footerIcon"></ion-icon>
    <ion-input class="input-box" type="text" placeholder="Type your message here" [(ngModel)]="message"
      (keypress)="userTyping($event)"></ion-input>
  </ion-item>
</ion-footer>
<div class="loading-container" [ngClass]="{'busy': loaderService?.isBusy}">
  <div class="loading-wrapper-c">
    <div class="backdrop"></div>
    <div class="image">
      </div>
    <img src="assets/img/icon.png" class="loader_img">
    <!-- <img src="assets/img/icon_loader.png" class="loader_img"> -->
    <!-- <img src="assets/img/Spinner.gif" class="loader_img"> -->
  </div>
</div>